PTX(1)

NAME
ptx - permuted index

SYNOPSIS
ptx [ option ... ] [ input ]

DESCRIPTION
Ptx place on standard output a permuted index to file input or to standard input. It has three phases: the first does the permutation, generating one line for each keyword in an input line. The keyword is rotated to the front. The permuted file is then sorted. Finally, the sorted lines are rotated so the keyword comes at the middle of the page. The output is exemplified by:

    .xx "tail" "before" "keyword and after" "head"

where may be defined as a troff(1) macro for user-defined formatting. The before and keyword and after fields incorporate as much of the line as will fit around the keyword when it is printed at the middle of the page. Tail and head, at least one of which is an empty string, are wrapped-around pieces small enough to fit in the unused space at the opposite end of the line. When original text must be discarded, marks the spot.

The following options can be applied:

-f  Fold upper and lower case letters for sorting.

-t  Prepare the output for troff(1).

-w w
    The width of the permuted output is w; default is 72n in nroff, 100n in troff.

-g w
    The width of the gutter before the third part of the line is w; default is 3n.

-h w
    The minimum width hole between the first and second or third and and fourth parts of the line is w; default is the gutter width.

-c cmds
    Use the (newline-separated) troff commands to determine widths of input characters. Implies -t.

-o only
    Use as keywords only the words given in the only file.

-i ignore
    Do not use as keywords any words given in the ignore file. If the -i and -o options are missing, use as the ignore file.

-b break
    Use the characters in the break file to separate words. In any case, tab, newline, and space characters are always used as break characters.

-r  Take any leading nonblank characters of each input line to be a reference identifier (as to a page or chapter) separate from the text of the line. Attach that identifier as a 5th field on each output line.

The index for this manual was generated using ptx.

FILES

junk*
    temporary files

/sys/lib/man/permin/ignore